Bug 855686 - SELinux is preventing /usr/bin/zarafa-dagent from 'name_bind' accesses on the tcp_socket .
SELinux is preventing /usr/bin/zarafa-dagent from 'name_bind' accesses on the...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2d41c849a49848ed2a2f6cb73ee...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 19:23 EDT by WhoEver
Modified: 2013-01-17 07:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-17 07:04:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description WhoEver 2012-09-09 19:23:34 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.9-1.fc16.i686.debug
time:           Sun 09 Sep 2012 04:22:51 PM PDT

description:
:SELinux is preventing /usr/bin/zarafa-dagent from 'name_bind' accesses on the tcp_socket .
:
:*****  Plugin bind_ports (99.5 confidence) suggests  *************************
:
:If you want to allow /usr/bin/zarafa-dagent to bind to network port 2003
:Then you need to modify the port type.
:Do
:# semanage port -a -t PORT_TYPE -p tcp 2003
:    where PORT_TYPE is one of the following: .
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that zarafa-dagent should be allowed name_bind access on the  tcp_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep zarafa-dagent /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:zarafa_deliver_t:s0
:Target Context                system_u:object_r:unreserved_port_t:s0
:Target Objects                 [ tcp_socket ]
:Source                        zarafa-dagent
:Source Path                   /usr/bin/zarafa-dagent
:Port                          2003
:Host                          (removed)
:Source RPM Packages           zarafa-dagent-7.0.9-1.fc16.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-91.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.7-1.fc16.i686 #1 SMP Mon Jul 30
:                              17:06:54 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Sat 08 Sep 2012 08:20:15 PM PDT
:Last Seen                     Sat 08 Sep 2012 08:20:15 PM PDT
:Local ID                      8c6248f9-f5f2-4499-a42f-d0795e8447f2
:
:Raw Audit Messages
:type=AVC msg=audit(1347160815.406:1059): avc:  denied  { name_bind } for  pid=8398 comm="zarafa-dagent" src=2003 scontext=system_u:system_r:zarafa_deliver_t:s0 tcontext=system_u:object_r:unreserved_port_t:s0 tclass=tcp_socket
:
:
:type=SYSCALL msg=audit(1347160815.406:1059): arch=i386 syscall=socketcall success=no exit=EACCES a0=2 a1=bfd56c50 a2=8098ff4 a3=5 items=0 ppid=8397 pid=8398 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=zarafa-dagent exe=/usr/bin/zarafa-dagent subj=system_u:system_r:zarafa_deliver_t:s0 key=(null)
:
:Hash: zarafa-dagent,zarafa_deliver_t,unreserved_port_t,tcp_socket,name_bind
:
:audit2allow
:
:#============= zarafa_deliver_t ==============
:#!!!! This avc can be allowed using the boolean 'allow_ypbind'
:
:allow zarafa_deliver_t unreserved_port_t:tcp_socket name_bind;
:
:audit2allow -R
:
:#============= zarafa_deliver_t ==============
:#!!!! This avc can be allowed using the boolean 'allow_ypbind'
:
:allow zarafa_deliver_t unreserved_port_t:tcp_socket name_bind;
:
Comment 1 Miroslav Grepl 2012-09-10 01:58:26 EDT
Did you setup zarafa to use 2003/tcp port?
Comment 2 WhoEver 2013-01-16 03:59:07 EST
(In reply to comment #1)
> Did you setup zarafa to use 2003/tcp port?

NO !!!
Comment 3 Daniel Walsh 2013-01-16 10:23:16 EST
grep -r 2003 zarafa-7.0.9 | grep port
zarafa-7.0.9/libfreebusy/ECFreeBusySupport.cpp:	case CLIENT_VERSION_OLK2003:
zarafa-7.0.9/installer/linux/dagent.cfg:lmtp_port = 2003
zarafa-7.0.9/spooler/DAgent.cpp:		{ "lmtp_port", "2003" },
zarafa-7.0.9/spooler/DAgent.cpp:			//-d the Dagent is daemonized; service LMTP over socket starts listening on port 2003

Looks intentional.
Comment 4 Daniel Walsh 2013-01-16 10:31:25 EST
Looks like 2003 should be defined as a lmtp port and then we should allow zarafa_deliver to bind to it.
Comment 5 Fedora End Of Life 2013-01-16 10:49:04 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Miroslav Grepl 2013-01-17 07:04:43 EST
Added to F17/F18.

Note You need to log in before you can comment on or make changes to this bug.